Skip to main content
GET
Get affiliate(s)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string

Identifies one affiliate. Accepts the affiliate's UUID, one of their affiliate link slugs, or a numeric click ID (the click's affiliate is returned).

email
string<email>

The email address of the affiliate to retrieve. Ignored when id is set.

Response

A single affiliate when filtering by id or email (null if no match), otherwise every affiliate in the program.

id
string<uuid>

The affiliate ID

firstName
string

First name of the affiliate

lastName
string

Last name of the affiliate

name
string | null

Full name of the affiliate (optional)

email
string<email>

Email of the affiliate

password
string | null
deprecated

Hashed Password of the affiliate (optional)

emailVerified
boolean | null

Flag to indicate if the email has been verified

image
string | null

Profile image URL of the affiliate

detailsComplete
boolean

Flag to indicate if affiliate details are complete

programId
string<uuid>

The program ID that the affiliate is associated with

payoutEmail
string<email>

Email to be used for payouts

paymentMethod
string

Payment method for the affiliate (e.g., WISE)

commissionRate
number<float>

Commission rate for the affiliate (0 - 100)

Deprecated legacy field and almost always null. Read affiliateLinks instead.

All affiliate link records for this affiliate. This is the source of truth for referral link slugs.

status
enum<string>

Affiliate status. INACTIVE is shown as Pending in the dashboard and is kept for backwards compatibility.

Available options:
ACTIVE,
INACTIVE,
INVITED,
DECLINED,
DEACTIVATED,
BANNED
createdAt
string<date-time>

Timestamp when the affiliate was created

updatedAt
string<date-time>

Timestamp when the affiliate was last updated

numberOfReferredUsers
integer

Number of users referred by the affiliate

numberOfClicks
integer

Number of clicks generated by the affiliate

totalCommissionEarned
number<float>

Total commission earned by the affiliate

source
string | null

How the affiliate joined. Affiliates created through this API have API.

commissionPlanId
string<uuid> | null

The commission plan assigned to this affiliate, if any

affiliateGroupId
string<uuid> | null

The affiliate group this affiliate belongs to, if any

Last modified on July 20, 2026